ext {
    // AdMob配置
    admob = [applicationId: "ca-app-pub-3392799053230605~7472226445", // 测试应用ID，请替换为实际的AdMob应用ID
             adUnitIds    : [banner      : "ca-app-pub-3392799053230605/2634832736",//"ca-app-pub-3392799053230605/6746479899",//"ca-app-pub-3940256099942544/9214589741",  // "ca-app-pub-3392799053230605/6746479899"     // 横幅广告测试ID // TODO- use pre test key
                             interstitial: "ca-app-pub-3392799053230605/5069601997", // 插页广告测试ID
                             splash      : "ca-app-pub-3392799053230605/5699979777",       // 开屏广告测试ID
                             native      : "ca-app-pub-3392799053230605/8969442262",        // 原生广告测试ID
                             full_native : "ca-app-pub-3392799053230605/6710110437",        // 全屏原生广告测试ID
                             rewarded    : "ca-app-pub-3392799053230605/9854847207"         // 激励广告测试ID
             ]]

    // Pangle配置
    pangle = [applicationId: "8757571", // Pangle测试应用ID
              adUnitIds    : [splash      : "",        // 开屏广告测试ID（竖屏）
                              banner      : "",        // 横幅广告测试ID（320x50）
                              interstitial: "982655945",       // 插页广告测试ID（竖屏）
                              native      : "",        // 原生广告测试ID
                              full_native : "",        // 全屏原生广告测试ID
                              rewarded    : "982655960"         // 激励视频测试ID（竖屏）
              ]]



    // TopOn配置
    topon = [applicationId: "h1h0ukemtu13ak",           // TopOn 应用 ID（需替换为实际值）
             appKey       : "7d3af77b0803cbc641888cb393e8652e",          // TopOn 应用密钥（需替换为实际值）
             adUnitIds    : [ interstitial: "", //"n1h0ukemvrnhn1",  // 插页广告位 ID（需替换为实际值） // TODO- if use this alway report error: placementId maybe is null
                              rewarded    : "n1h0uken0i262r",  // 激励广告位 ID
                              native      : "",  // 原生广告位 ID（需替换为实际值）
                              splash      : "",  // 开屏广告位 ID（需替换为实际值）
                              full_native : "",  // 全屏原生广告位 ID（需替换为实际值）
                              //banner      : ""  // 横幅广告位 ID（需替换为实际值）
             ]]



    // 应用版本配置
    app = [applicationId: "com.viddin.videos.free",
           compileSdk   : 36,
           minSdk       : libs.versions.minSdk.get().toInteger(),
           targetSdk    : 36,
           versionCode  : 1,
           versionName  : "1.0.0"]

    url = [privacyUrl: "https://www.google.com",
           teamUrl   : "https://www.google.com",]

    // 统计归因配置
    analytics = [adjustAppToken: "sa8ei0td10xs",           // Adjust App Token
                 thinkingDataAppId: "097b3fd67217437b83529c35f81a567e",   // 数数 SDK APP ID
                 thinkingDataServerUrl: "https://data.tapvicogames.com",     // 数数上报域名
                 defaultUserChannel: "paid"]                           // 默认用户渠道，internal默认paid
}